<?

#require_once('lib/magpierss/rss_fetch.inc');
#define('MAGPIE_CACHE_DIR', 'tmp/magpie_cache');

define('DEFAULT_YEAR', '2010');

function dispVideos() {

(isset($_GET['year_page'])) ? ($curyear = " ".$_GET['year_page']) : ($curyear = " ".DEFAULT_YEAR);

$str = '
	<!-- main body -->
    <div id="main_body">
    	<div id="left_side">
            <div id="newsbox">
                <h1><img alt="" src="images/puce.png" /> <strong>Videos'. $curyear .'</strong></h1>
                <ul>';
								
	$str .= dispVideosYear();

	$str .= '
            </ul></div>
	    </div>

        <div id="right_side">
            <div class="rightbox">
                <h1><img alt="" src="images/puce.png" /> <strong>Ann&eacute;es</strong></h1>
                ';
		
	$str .= dispVideosMenu();	

	$str .= '
            </div>
        </div>
        <div class="clr">&nbsp;</div>
    </div>
';


echo $str;
}


function dispVideosMenu(){

	$str = '';

	$str .= '
		<ul>
			<li><a href="index.php?section=Videos&year_page=2010" class="texte_link">2010</a></li>
			<li><a href="index.php?section=Videos&year_page=2009" class="texte_link">2009</a></li>
			<li><a href="index.php?section=Videos&year_page=2008" class="texte_link">2008</a></li>
			<li><a href="index.php?section=Videos&year_page=2007" class="texte_link">2007</a></li>
			<li><a href="index.php?section=Videos&year_page=2006" class="texte_link">2006</a></li>
			<li><a href="index.php?section=Videos&year_page=2005" class="texte_link">2005</a></li>
			<li><a href="index.php?section=Videos&year_page=2004" class="texte_link">2004</a></li>
			<li><a href="index.php?section=Videos&year_page=2003" class="texte_link">2003</a></li>
			<li><a href="index.php?section=Videos&year_page=2002" class="texte_link">2002</a></li>
			<li><a href="index.php?section=Videos&year_page=2001" class="texte_link">2001</a></li>
			<li><a href="index.php?section=Videos&year_page=2000" class="texte_link">avant</a></li>

		';
						
	$str .= '
		<li><p>Pour visualiser nos videos: Click-droit, telecharger...</p>
		<p>Nous vous conseillons le lecteur <a href="http://www.videolan.org/vlc" target="blank">VLC</a> disponible sous Windows/Mac/Linux.</p>
		</li>
		</ul>
	';

	return ($str);
}


function dispVideosYear(){
	if ($_GET['year_page']) {
		$year_page = $_GET['year_page'];
	}
	else
	{
		$year_page = DEFAULT_YEAR;
	}



	$str = '';//'<B>'.$year_page.'</B>';
	

	if ($_SESSION["user_right"] >= $GLOBALS["PRIV_GUEST"] ) {	
		$result_prod = getVideosByYearAndTypeAndTendu($year_page, "eptvprod", 2);
		$result_bonus = getVideosByYearAndTypeAndTendu($year_page, "eptvbonus", 2);
		$result_adm = getVideosByYearAndTypeAndTendu($year_page, "eptv.adm", 2);
	}
	else if ($_SESSION["user_right"] >= $GLOBALS["GUEST"] ) {	
		$result_prod = getVideosByYearAndTypeAndTendu($year_page, "eptvprod", 1);
		$result_bonus = getVideosByYearAndTypeAndTendu($year_page, "eptvbonus", 1);
		$result_adm = getVideosByYearAndTypeAndTendu($year_page, "eptv.adm", 1);
	}
	else {
		$result_prod = getVideosByYearAndTypeAndTendu($year_page, "eptvprod", 0);
		$result_bonus = getVideosByYearAndTypeAndTendu($year_page, "eptvbonus", 0);
		$result_adm = getVideosByYearAndTypeAndTendu($year_page, "eptv.adm", 0);
	}
	

	if (mysql_num_rows($result_prod)) {
		$str .= dispVideosByType($result_prod, "&nbsp;e p t v &nbsp; p r o d u c t i o n");	
	}
	
	if (mysql_num_rows($result_bonus)) {
		$str .= dispVideosByType($result_bonus, "&nbsp;e p t v &nbsp b o n u s");
	}
	if (mysql_num_rows($result_adm)) {
		$str .= dispVideosByType($result_adm, "&nbsp;e p t v . a d m");
	}


return ($str);
}


function dispVideosByType($result, $video_type) {
 
	$str = '		
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
		<td bgcolor="#111111">
		<table width="100%" border="0" cellspacing="1" cellpadding="2">
			<tr>
			<td>
				<b>
				<font color="#666666">
				'.$video_type.'
				</font>
				</b> 
			</td>
			</tr>
						
			<tr>
			<td bgcolor="#282828">
			<table cellpadding="0" cellspacing="0" width="100%">
				<tr>
				<td>
				<table width="100%" border="0" cellspacing="0" cellpadding="4">

		';
		
	
		while ($video = mysql_fetch_array($result))
		{
 
	
			$str .= dispWhenTendu($video["video_tendu"]);

			$str .= '
		
				&nbsp;<a href="' . $video["video_path"] . ' " class="texte_link"' . '>'.$video["video_name"].'</a>
			    </TD>
				<TD>';

			if ($video["video_path_daily"])
			{
			
			$str .= '<a href=\'http://www.eptv.fr/public/dailymotion.php?q='.$video["video_path_daily"].'\' onclick="return popitup(this, \'EPTV\')" ><img src=\'../images/daily.png\' height=15 border=0></a>';
			}	
			
			$str .= '</TD>
				<TD>
					'.$video["video_date"].'
				</TD>
			
				<TD align=center><strong>
					'.$video["video_size"].' Mo</strong>
				</TD>
			</TR>';
			

		}
			
		

$str .= '
					</table>
					</td>
					</tr>
				</table>
				</td>
				</tr>
			</table>
			</td>
			</tr>
		</table>
		<br>
	';

	return ($str);

}

?>
